store | blogs | forums | twitter | facebook | wiki | downloads | support portal
Atomic Secure Linux
It is currently Wed Jul 23, 2014 5:51 am

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]




Post new topic Reply to topic  [ 3 posts ] 
Author Message
 Post subject: does sa-update do something/update?
Unread postPosted: Sat Oct 02, 2010 6:09 am 
Offline
Forum Regular
Forum Regular

Joined: Sat Mar 28, 2009 6:58 pm
Posts: 851
Location: Germany
Hi,

I'm using art version of spamassassin.
spamassassin.x86_64 1:3.2.5-1.el5.art

/etc/cron.d/sa-update code is:
Code:
10 4 * * * root /usr/share/spamassassin/sa-update.cron 2>&1 | tee -a /var/log/sa-update.log



/usr/share/spamassassin/sa-update.cron code is:
Code:
#!/bin/bash

sleep $(expr $RANDOM % 7200)
# Only restart spamd if sa-update returns 0, meaning it updated the rules
/usr/bin/sa-update && /etc/init.d/spamassassin condrestart > /dev/null


and not like explained in ART wiki: http://www.atomicorp.com/wiki/index.php/Spamassassin#Updating_spamassassin_rules_and_signatures

sa-update -D output:
Code:
# sa-update -D
[29297] dbg: logger: adding facilities: all
[29297] dbg: logger: logging level is DBG
[29297] dbg: generic: SpamAssassin version 3.2.5
[29297] dbg: config: score set 0 chosen.
[29297] dbg: dns: no ipv6
[29297] dbg: dns: is Net::DNS::Resolver available? yes
[29297] dbg: dns: Net::DNS version: 0.59
[29297] dbg: generic: sa-update version svn607589
[29297] dbg: generic: using update directory: /var/lib/spamassassin/3.002005
[29297] dbg: diag: perl platform: 5.008008 linux
[29297] dbg: diag: module installed: Digest::SHA1, version 2.11
[29297] dbg: diag: module installed: HTML::Parser, version 3.55
[29297] dbg: diag: module installed: Net::DNS, version 0.59
[29297] dbg: diag: module installed: MIME::Base64, version 3.07
[29297] dbg: diag: module installed: DB_File, version 1.814
[29297] dbg: diag: module installed: Net::SMTP, version 2.29
[29297] dbg: diag: module not installed: Mail::SPF ('require' failed)
[29297] dbg: diag: module not installed: Mail::SPF::Query ('require' failed)
[29297] dbg: diag: module not installed: IP::Country::Fast ('require' failed)
[29297] dbg: diag: module installed: Razor2::Client::Agent, version 2.84
[29297] dbg: diag: module not installed: Net::Ident ('require' failed)
[29297] dbg: diag: module installed: IO::Socket::INET6, version 2.51
[29297] dbg: diag: module installed: IO::Socket::SSL, version 1.01
[29297] dbg: diag: module installed: Compress::Zlib, version 1.42
[29297] dbg: diag: module installed: Time::HiRes, version 1.9717
[29297] dbg: diag: module not installed: Mail::DomainKeys ('require' failed)
[29297] dbg: diag: module not installed: Mail::DKIM ('require' failed)
[29297] dbg: diag: module installed: DBI, version 1.52
[29297] dbg: diag: module installed: Getopt::Long, version 2.35
[29297] dbg: diag: module installed: LWP::UserAgent, version 2.033
[29297] dbg: diag: module installed: HTTP::Date, version 1.47
[29297] dbg: diag: module installed: Archive::Tar, version 1.3901
[29297] dbg: diag: module installed: IO::Zlib, version 1.04
[29297] dbg: diag: module not installed: Encode::Detect ('require' failed)
[29297] dbg: gpg: Searching for 'gpg'
[29297] dbg: util: current PATH is: /usr/kerberos/sbin:/usr/kerberos/bin:/sbin:/bin:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
[29297] dbg: util: executable for gpg was found at /usr/bin/gpg
[29297] dbg: gpg: found /usr/bin/gpg
[29297] dbg: gpg: release trusted key id list: 5E541DC959CB8BAC7C78DFDC4056A61A5244EC45 26C900A46DD40CD5AD24F6D7DEE01987265FA05B 0C2B1D7175B852C64B3CDC716C55397824F434CE
[29297] dbg: channel: attempting channel updates.spamassassin.org
[29297] dbg: channel: update directory /var/lib/spamassassin/3.002005/updates_spamassassin_org
[29297] dbg: channel: channel cf file /var/lib/spamassassin/3.002005/updates_spamassassin_org.cf
[29297] dbg: channel: channel pre file /var/lib/spamassassin/3.002005/updates_spamassassin_org.pre
[29297] dbg: channel: metadata version = 895075
[29297] dbg: dns: 5.2.3.updates.spamassassin.org => 895075, parsed as 895075
[29297] dbg: channel: current version is 895075, new version is 895075, skipping channel
[29297] dbg: diag: updates complete, exiting with code 1


It seems to update, but I'm not 100% sure. All files in /var/lib/spamassassin/3.002005/updates_spamassassin_org are from Feb 19th 2010. How can I check that the rules are all up to date and the update process runs fine? I'm a little bit confused.

Thanks a lot for any help.


Top
 Profile  
 
 Post subject: Re: does sa-update do something/update?
Unread postPosted: Sat Oct 02, 2010 3:19 pm 
Offline
Long Time Forum Regular
Long Time Forum Regular

Joined: Thu Dec 09, 2004 11:19 am
Posts: 2017
There's nothing to update from the standard SA rules.

The last update that came along was the one to rectify the date in advance "bug" and that was months ago - January?

What you can do is add additional rulesets (channels) which will be updated using sa-update.

I use the "sought" rules, for example.

I'm sure there may be others, but none are ever mentioned on the SA mailing list so maybe not.

In the old days there was the Rules Emporious set, but those are well out of date and might cause some false positives - they have not been updated for years.

The key lines in the log output are these:

Code:
[29297] dbg: channel: current version is 895075, new version is 895075, skipping channel
[29297] dbg: diag: updates complete, exiting with code 1


The first line says the current version (what you have) and the new version (what is available) are the same, so nothing will be done ("skipping channel").

The second line shows exit code 1, which means failed. If there had been an update it would have been exist code 0 (pass/ok/no problem).

Faris.

_________________
--------------------------------
<advert>
If you want to rent a UK-based VPS that comes with friendly advice and support from a fellow ART fan, please get in touch.
</advert>


Top
 Profile  
 
 Post subject: Re: does sa-update do something/update?
Unread postPosted: Sat Oct 02, 2010 4:47 pm 
Offline
Forum Regular
Forum Regular

Joined: Sat Mar 28, 2009 6:58 pm
Posts: 851
Location: Germany
Holy cow, I always thought that the default sa rules are still maintained and updated. Besides that I knew that the list from spamassassin site is very old and that rulesemporium and others ares not maintained anymore.
Quote:
The first line says the current version (what you have) and the new version (what is available) are the same, so nothing will be done ("skipping channel").
The second line shows exit code 1, which means failed. If there had been an update it would have been exist code 0


That's what I was interpreting too. It confused me that sa-update job is set but nothing (no updates) happened.
I'm using an additional german cf file which updates fine since it's still maintained.

I thought there was some misconfiguration but the fact of no updates explains everything.
I will have to validate some rulesets and add them and I will start with the "sought rules" you mentioned.

Thanks a lot faris.


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 3 posts ] 

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group